import type { JSX } from '../../stencil-public-runtime';
import type { Toast, ToasterAPI, ToasterStates } from '../../schema';
export declare class KolToastContainer implements ToasterAPI {
    state: ToasterStates;
    private knownRenderFunctions;
    enqueue(toast: Toast): Promise<() => void>;
    private handleClose;
    closeAll(immediate?: boolean): Promise<void>;
    private handleToastRef;
    render(): JSX.Element;
}
